Notes
Freeform notes, attached to the records they're about.
List notes
GET
/notesScope
notes:viewRead-onlyQuery parameters
| Name | Type |
|---|---|
limit | number |
cursor | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/notes?limit=25" \ -H "Authorization: Bearer $KLERC_TOKEN"Create a note
POST
/notesScope
notes:useWrites dataRequest body
| Field | Type |
|---|---|
text | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/notes" \ -H "Authorization: Bearer $KLERC_TOKEN" \ -H "Content-Type: application/json" \ -d '{"text":"Prefers WhatsApp after 6pm."}'Get a note by id
GET
/notes/{id}Scope
notes:viewRead-onlyPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/notes/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Update a note
PATCH
/notes/{id}Scope
notes:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/notes/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"Delete a note
DELETE
/notes/{id}Scope
notes:useWrites dataPath parameters
| Name | Type |
|---|---|
idrequired | string |
Responses
200OK201Created401Authentication failed403Insufficient scope / feature disabled404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/notes/{id}" \ -H "Authorization: Bearer $KLERC_TOKEN"